## ros-galactic-rviz-rendering-tests 8.5.2

=== debian/changelog ===
ros-galactic-rviz-rendering-tests (8.5.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-rviz-rendering-tests (8.5.1-1focal) focal; urgency=high

  * Removed some memory leaks in rviz_rendering and rviz_rendering_tests (#710 <https://github.com/ros2/rviz/issues/710>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-rviz-rendering-tests (8.5.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-rviz-rendering-tests (8.4.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rviz-rendering-tests (8.3.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-rviz-rendering-tests (8.3.0-1focal) focal; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Use retriever.hpp (#589 <https://github.com/ros2/rviz/issues/589>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-rviz-rendering-tests (8.2.0-1focal) focal; urgency=high

  * Changed to not install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-galactic-rviz-rendering-tests (8.1.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rviz-rendering-tests (8.1.0-1focal) focal; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rviz-rendering-tests (8.0.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-galactic-rviz-rendering-tests (8.0.2-1focal) focal; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Thu, 21 May 2020 07:00:00 -0000

ros-galactic-rviz-rendering-tests (8.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 07 May 2020 07:00:00 -0000

ros-galactic-rviz-rendering-tests (8.0.0-1focal) focal; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Fixed the build when included as a sub-project. (#475 <https://github.com/ros2/rviz/issues/475>)
  * Contributors: Dan Rose, Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Fri, 01 May 2020 07:00:00 -0000

ros-galactic-rviz-rendering-tests (7.0.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-galactic-rviz-rendering-tests (7.0.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-rviz-rendering-tests (7.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 04 Oct 2019 07:00:00 -0000

ros-galactic-rviz-rendering-tests (7.0.0-1focal) focal; urgency=high

  * Fix assert in mesh_loader_test (#446 <https://github.com/ros2/rviz/issues/446>)
  * Remove non-package from ament_target_dependencies() (#428 <https://github.com/ros2/rviz/issues/428>)
  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Fix STL loader (#410 <https://github.com/ros2/rviz/issues/410>)
  * Contributors: Hunter L. Allen, Martin Idel, Shane Loretz, Zachary Michaels

 -- William Woodall <william@osrfoundation.org>  Fri, 27 Sep 2019 07:00:00 -0000

ros-galactic-rviz-rendering-tests (6.1.1-1focal) focal; urgency=high

  * Updated test to match changes from #404 <https://github.com/ros2/rviz/issues/404>
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-galactic-rviz-rendering-tests (6.1.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-galactic-rviz-rendering-tests (6.0.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-galactic-rviz-rendering-tests (5.1.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 14 Jan 2019 08:00:00 -0000

ros-galactic-rviz-rendering-tests (5.0.0-1focal) focal; urgency=high

  * Changed to always build all tests and skip execution if not supported (#342 <https://github.com/ros2/rviz/issues/342>)
  * Contributors: Andreas Greimel

 -- William Woodall <william@osrfoundation.org>  Tue, 04 Dec 2018 08:00:00 -0000

ros-galactic-rviz-rendering-tests (4.0.1-1focal) focal; urgency=high

  * Add Qt dependency to testing packages. (#330 <https://github.com/ros2/rviz/issues/330>)
  * Contributors: Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-galactic-rviz-rendering-tests (4.0.0-1focal) focal; urgency=high

  * Added tests for various displays and other features.
  * Contributors: Alessandro Bottero, Martin Idel, Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000


